## xapp-util

xapp-util

## Functions

gboolean | xapp_util_gpu_offload_supported ()
gboolean | xapp_util_get_session_is_running ()
gchar * | xapp_pango_font_string_to_css ()
const gchar * | xapp_get_tmp_dir ()

## Description

## Functions

### xapp_util_gpu_offload_supported ()

    gboolean
    xapp_util_gpu_offload_supported (void);

Performs a check to see if on-demand mode for discrete graphics is supported.

#### Returns

`TRUE` if supported.

Since: 1.8

### xapp_util_get_session_is_running ()

    gboolean
    xapp_util_get_session_is_running (void);

Check if the Session Manager is currently in the "Running" phase.

#### Returns

`TRUE` if the session is running.

Since: 2.0

### xapp_pango_font_string_to_css ()

    gchar *
    xapp_pango_font_string_to_css (const char *pango_font_string);

Converts a pango font description string to a string suitable for use with the css "font" tag. The font description must contain the font family and font size or conversion will fail and `NULL` will be returned

#### Parameters

pango_font_string | a pango font description string |

#### Returns

the css compatible font string or `NULL` if the conversion failed.

[transfer full]

Since: 2.2

### xapp_get_tmp_dir ()

    const gchar *
    xapp_get_tmp_dir (void);

Provides the path to the system's temporary files folder. This is identical to g_get_tmp_dir, but includes the /dev/shm ramdisk as the first choice for a temporary folder.

#### Returns

the directory to use for temporary files.

[type filename][transfer none]

Since: 2.2.16